Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema
Class XmlSchemaObject

    java.lang.Object
      org.apache.ws.commons.schema.XmlSchemaObject

Direct Known Subclasses:
  XmlSchemaAnnotated, XmlSchemaAnnotation, XmlSchemaAppInfo, XmlSchemaDocumentation

    public abstract class XmlSchemaObject

extends java.lang.Object

Constructor Summary
`protected` | `XmlSchemaObject()` Creates new XmlSchemaObject

Method Summary
`void` | `addMetaInfo(java.lang.Object key, java.lang.Object value)` Add a value to the meta info map will be initialized if not used previously
`boolean` | `equals(java.lang.Object what)`
`int` | `getLineNumber()`
`int` | `getLinePosition()`
`java.util.Map` | `getMetaInfoMap()` returns the metainfo map.
`java.lang.String` | `getSourceURI()`
`void` | `setLineNumber(int lineNumber)`
`void` | `setLinePosition(int linePosition)`
`void` | `setMetaInfoMap(java.util.Map metaInfoMap)` Directly set the meta info map into the schema element
`void` | `setSourceURI(java.lang.String sourceURI)`
`java.lang.String` | `toString(java.lang.String prefix, int tab)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlSchemaObject

    protected XmlSchemaObject()

  Creates new XmlSchemaObject

Method Detail

### getMetaInfoMap

    public java.util.Map getMetaInfoMap()

  returns the metainfo map. may be null if not utilized

### setMetaInfoMap

    public void setMetaInfoMap(java.util.Map metaInfoMap)

  Directly set the meta info map into the schema element

  Parameters:
    `metaInfoMap` -

### addMetaInfo

    public void addMetaInfo(java.lang.Object key,
                            java.lang.Object value)

  Add a value to the meta info map will be initialized if not used previously

  Parameters:
    `key` -
    `value` -

### getLineNumber

    public int getLineNumber()

### setLineNumber

    public void setLineNumber(int lineNumber)

### getLinePosition

    public int getLinePosition()

### setLinePosition

    public void setLinePosition(int linePosition)

### getSourceURI

    public java.lang.String getSourceURI()

### setSourceURI

    public void setSourceURI(java.lang.String sourceURI)

### equals

    public boolean equals(java.lang.Object what)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString(java.lang.String prefix,
                                     int tab)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.